Commit db060ca6 authored by dmorley's avatar dmorley

Merge branch 'yarn' into 'develop'

migrate to yarn 2

See merge request !275
parents efe2f2b8 d8ebb385
...@@ -2,3 +2,4 @@ bower_components ...@@ -2,3 +2,4 @@ bower_components
config.php config.php
node_modules node_modules
vendor vendor
/.yarn/
...@@ -40,11 +40,10 @@ deploy: ...@@ -40,11 +40,10 @@ deploy:
script: script:
- export DEBIAN_FRONTEND=noninteractive - export DEBIAN_FRONTEND=noninteractive
- apt-get update && apt-get install -y sudo curl gnupg2 - apt-get update && apt-get install -y sudo curl gnupg2
- curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add - - apt-get update && apt-get install -y minify zip unzip php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl npm nodejs
- echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
- apt-get update && apt-get install -y minify zip unzip php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl npm nodejs yarn
- curl -sS https://getcomposer.org/installer | php - curl -sS https://getcomposer.org/installer | php
- php composer.phar install - php composer.phar install
- sudo npm install -g yarn
- yarn install - yarn install
- minify -o js/podup.min.js js/podup.js - minify -o js/podup.min.js js/podup.js
- minify -o css/poduptime.min.css css/poduptime.css - minify -o css/poduptime.min.css css/poduptime.css
......
yarnPath: ".yarn/releases/yarn-berry.cjs"
nodeLinker: "node-modules"
\ No newline at end of file
...@@ -14,6 +14,7 @@ The format is based on [Keep a Changelog] and this project adheres to [Semantic ...@@ -14,6 +14,7 @@ The format is based on [Keep a Changelog] and this project adheres to [Semantic
### Changed ### Changed
- Tell robots not to follow links to pods - Tell robots not to follow links to pods
### Deprecated ### Deprecated
- yarn 1.0 support
### Removed ### Removed
### Fixed ### Fixed
- Show stats in proper order yymm - Show stats in proper order yymm
......
# Poduptime # Poduptime
Poduptime is software to get live stats and data on listed Diaspora and other Pods that support nodeinfo output. Poduptime is software to get live stats and data on pods that support nodeinfo output.
# To Install: # To Install:
...@@ -11,7 +11,7 @@ OS Dependencies: ...@@ -11,7 +11,7 @@ OS Dependencies:
php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl postgresql postgresql-contrib dnsutils bind9 npm nodejs composer php7.4 php7.4-curl php7.4-pgsql php7.4-bcmath php-geoip php7.4-cli php7.4-common php7.4-fpm php7.4-bcmath php7.4-json php7.4-readline php7.4-mbstring php7.4-xml php7.4-intl php-cgi git curl postgresql postgresql-contrib dnsutils bind9 npm nodejs composer
``` ```
Yarn is a separate install: https://yarnpkg.com Yarn is a separate install: sudo npm install -g yarn
Clone and setup: Clone and setup:
......
{ {
"name": "poduptime", "name": "poduptime",
"version": "2.7.0", "version": "2.8.0",
"description": "Poduptime is software to get live stats and data on listed Diaspora Pods.", "description": "Poduptime is software to get live stats and data on listed Diaspora Pods.",
"main": "index.php", "main": "index.php",
"dependencies": { "dependencies": {
"@fortawesome/fontawesome-free": "^5.2.0",
"@popperjs/core": "^2.5.3", "@popperjs/core": "^2.5.3",
"bootstrap": "^4.5.3", "bootstrap": "^4.5.3",
"chart.js": "^2.9.4", "chart.js": "^2.9.4",
...@@ -15,8 +14,7 @@ ...@@ -15,8 +14,7 @@
"leaflet": "^1.4.1", "leaflet": "^1.4.1",
"leaflet.markercluster": "^1.4.1", "leaflet.markercluster": "^1.4.1",
"popper.js": "^1.15.0", "popper.js": "^1.15.0",
"tablesorter": "^2.31.3", "tablesorter": "^2.31.3"
"typeface-roboto": "^0.0.54"
}, },
"scripts": { "scripts": {
"test": "echo \"Error: no test specified\" && exit 1" "test": "echo \"Error: no test specified\" && exit 1"
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment